## org.apache.myfaces.renderkit.html
Class HtmlTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTableRendererBase
                  org.apache.myfaces.renderkit.html.HtmlTableRenderer

public class HtmlTableRenderer
extends HtmlTableRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`FOOTER_FACET_NAME, HEADER_FACET_NAME`

Constructor Summary
`HtmlTableRenderer()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase

`afterRow, afterTable, beforeRow, beforeTable, decode, determineChildColSpan, encodeBegin, encodeChildren, encodeColumnChild, encodeEnd, encodeInnerHtml, getFooterClass, getHeaderClass, getRendersChildren, hasFacet, renderColumnBody, renderColumnChildHeaderOrFooterRow, renderColumnFooterCell, renderColumnFooterCell, renderColumnFooterRow, renderColumnHeaderCell, renderColumnHeaderCell, renderColumnHeaderRow, renderFacet, renderRowEnd, renderRowStart, renderRowStyle, renderTableFooterRow, renderTableHeaderRow`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTableRenderer

    public HtmlTableRenderer()